# Generated by Django 3.2.6 on 2021-08-20 12:43

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtailmetadata.models
from django.db import migrations, models

import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailcore", "0062_comment_models_and_pagesubscription"),
        ("wagtailimages", "0023_add_choose_permissions"),
        ("elections2021", "0042_bannerorder_note"),
    ]

    operations = [
        migrations.AlterField(
            model_name="elections2021homepage",
            name="footer_menu",
            field=wagtail.fields.StreamField(
                [
                    (
                        "item",
                        wagtail.blocks.StructBlock(
                            [
                                ("name", wagtail.blocks.CharBlock(label="název")),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="stránka",
                                        page_type=[
                                            "elections2021.Elections2021ArticlesPage",
                                            "elections2021.Elections2021CandidatesListPage",
                                            "elections2021.Elections2021CandidatesMapPage",
                                            "elections2021.Elections2021ProgramPage",
                                            "elections2021.Elections2021QuestionsPage",
                                            "elections2021.Elections2021ProgramAppPage",
                                            "elections2021.Elections2021TextPage",
                                            "elections2021.Elections2021StrategicListPage",
                                            "elections2021.Elections2021StrategicPage",
                                            "elections2021.Elections2021MythsPage",
                                            "elections2021.Elections2021DownloadsPage",
                                            "elections2021.Elections2021GovernmentTeamPage",
                                            "elections2021.Elections2021CalendarPage",
                                            "elections2021.Elections2021ProgramInNutshellPage",
                                        ],
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="menu projděte si v zápatí",
            ),
        ),
        migrations.CreateModel(
            name="Elections2021ProgramInNutshellPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "leading",
                    models.TextField(blank=True, null=True, verbose_name="úvod"),
                ),
                (
                    "subtitle",
                    models.CharField(
                        blank=True, max_length=255, null=True, verbose_name="podnadpis"
                    ),
                ),
                (
                    "body",
                    wagtail.fields.RichTextField(
                        blank=True, null=True, verbose_name="stránky"
                    ),
                ),
                (
                    "content",
                    wagtail.fields.StreamField(
                        [
                            (
                                "section",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "title",
                                            wagtail.blocks.CharBlock(label="nadpis"),
                                        ),
                                        (
                                            "items",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.StructBlock(
                                                    [
                                                        (
                                                            "text",
                                                            wagtail.blocks.TextBlock(
                                                                label="text"
                                                            ),
                                                        ),
                                                        (
                                                            "points",
                                                            wagtail.blocks.ListBlock(
                                                                wagtail.blocks.PageChooserBlock(
                                                                    label="programový bod",
                                                                    page_type=[
                                                                        "elections2021.Elections2021ProgramPointPage"
                                                                    ],
                                                                )
                                                            ),
                                                        ),
                                                    ]
                                                )
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        verbose_name="sekce",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Program v kostce",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
